summaryrefslogtreecommitdiff
path: root/.config/bash/rc.sh
diff options
context:
space:
mode:
Diffstat (limited to '.config/bash/rc.sh')
-rw-r--r--.config/bash/rc.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/.config/bash/rc.sh b/.config/bash/rc.sh
index 447796a..633f81e 100644
--- a/.config/bash/rc.sh
+++ b/.config/bash/rc.sh
@@ -57,7 +57,7 @@ if tput setaf 1 &>/dev/null; then
_STATUS+="\$(v=\$?; [[ \$v = 0 ]] && c='${GREEN}' || c='${RED}'; printf %s%03i \$c \$v)"
_STATUS+="${RESET}${BOLD}]${RESET}"
else
- _STATUS='[$?]'
+ _STATUS='[$(printf "%03i" $?)]'
fi
PS1="${_STATUS} $(make_prompt)"'\n\$ '
unset RESET BOLD RED GREEN BLUE _STATUS